Bug 1254269 - New kernel skipped for dependency problems, but DNF is removing older ones anyway
New kernel skipped for dependency problems, but DNF is removing older ones an...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 10:30 EDT by Matthew Miller
Modified: 2015-09-07 06:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-07 06:48:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2015-08-17 10:30:58 EDT
Description of problem:

Removing:
 kernel                   x86_64 4.1.3-200.fc22           @System           0  
 kernel-core              x86_64 4.1.3-200.fc22           @System          42 M
 kernel-devel             x86_64 4.1.3-200.fc22           @System          36 M
 kernel-modules           x86_64 4.1.3-200.fc22           @System          17 M
 kernel-modules-extra     x86_64 4.1.3-200.fc22           @System         2.1 M
Skipping packages with broken dependencies:
 kernel-modules-extra     x86_64 4.1.5-200.fc22           updates-testing 2.2 M
 kernel-core              x86_64 4.1.5-200.fc22           updates-testing  19 M
 kernel                   x86_64 4.1.5-200.fc22           updates-testing  68 k
 kernel-devel             x86_64 4.1.5-200.fc22           updates-testing 9.5 M
 kernel-modules           x86_64 4.1.5-200.fc22           updates-testing  18 M



Version-Release number of selected component (if applicable):

dnf-1.1.0-1.fc22.noarch


How reproducible:

I assume always, with the a system and repo in the right state.

Steps to Reproduce:
1. have a kernel with dep problems in the repo
2. try to upgrade


Actual results:

Old kernel is removed

Expected results:

Old kernel stays, at least.

Additional info:

Since I have more than one old kernel, at least my system will still boot after.

Adding the -v flag gives no insight into why the kernel package is skipped. That's incredibly unfortunate -- it's the one thing I want to know.
Comment 1 Honza Silhan 2015-08-31 07:54:57 EDT
Thanks for the report. post output of `dnf repoquery kernel*` and installonly_limit in /etc/dnf/dnf.conf, please.
Comment 2 Matthew Miller 2015-09-01 16:02:33 EDT
Too late, I'm afraid -- whatever was causing this remotely is now not.
Comment 3 Radek Holy 2015-09-07 06:48:30 EDT
Unfortunately, we cannot reproduce it. If anyone is able to reproduce it, feel free to reopen this and provide the missing data.

Note You need to log in before you can comment on or make changes to this bug.